Subject: bug#29830: closed (Re: [bug#29830] suckless: Use https for suckless.org to address permanent redirects.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 23 Dec 2017 23:00:03 +0000

Your bug report

#29830: suckless: Use https for suckless.org to address permanent redirects.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29830: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29830
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#29830] suckless: Use https for suckless.org to address permanent redirects.
From: Tobias Geerinckx-Rice <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 24 Dec 2017 00:02:34 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

ng0 wrote on 23/12/17 at 23:36:
> I've pushed what I had,

Great, then we haven't duplicated any effort beyond suckless.scm.

> but there are many more left.

Yeah. Like you, I was planning on opening a single bug with all
home-page patches, but I'll just commit what I have within the next few
days.

> I don't plan to work on much more for the next weeks,
> just maybe the people.mozilla.org issue. I've contacted
> some upstream authors of software where the entire homepages
> disappeared without a trace.

Then you've done more hard research than I have. Thanks!

Pushed as 51cfdf90a1c533b411953e797fb0c0d69c3f0757.

Kind regards,

T G-R

Subject: suckless: Use https for suckless.org to address permanent redirects.
From: ng0 <[email-masked]>
To: [email-masked]
Date: Sat, 23 Dec 2017 22:03:03 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

See commit message.
-- 
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://c.n0.is/ng0_pubkeys/tree/keys
  WWW: https://n0.is
From efa667dfb5dcdc45eed10e4034ea88621404b69c Mon Sep 17 00:00:00 2001
From: ng0 <[email-masked]>
Date: Sat, 23 Dec 2017 21:53:40 +0000
Subject: [PATCH] gnu: suckless: Use https URLs.

All suckless.org hosted URLs are now permanent redirects to https.

* gnu/packages/suckless.scm (blind)[source]: Use https.
(dwm)[source]: Likewise.
(dmenu)[source]: Likewise.
(slock)[source]: Likewise.
(st)[source]: Likewise.
(surf)[source]: Likewise.
(sent)[source]: Likewise.
* gnu/packages/suckless (blind)[home-page]: Use https.
(dwm)[source]: Likewise.
(dmenu)[source]: Likewise.
(slock)[source]: Likewise.
(st)[source]: Likewise.
(surf)[source]: Likewise.
(sent)[source]: Likewise.
---
 gnu/packages/suckless.scm | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

diff --git a/gnu/packages/suckless.scm b/gnu/packages/suckless.scm
index 4a7c1e604..a5f2256af 100644
--- a/gnu/packages/suckless.scm
+++ b/gnu/packages/suckless.scm
@@ -2,7 +2,7 @@
 ;;; Copyright © 2013 Cyril Roelandt <[email-masked]>
 ;;; Copyright © 2015 Amirouche Boubekki <[email-masked]>
 ;;; Copyright © 2016 Al McElrath <[email-masked]>
-;;; Copyright © 2016, 2017 ng0 <[email-masked]>
+;;; Copyright © 2016, 2017 ng0 <[email-masked]>
 ;;; Copyright © 2015 Dmitry Bogatov <[email-masked]>
 ;;; Copyright © 2015 Leo Famulari <[email-masked]>
 ;;; Copyright © 2016 Eric Bavier <[email-masked]>
@@ -53,7 +53,7 @@
     (version "1.0")
     (source (origin
               (method url-fetch)
-              (uri (string-append "http://dl.suckless.org/tools/blind-"
+              (uri (string-append "https://dl.suckless.org/tools/blind-"
                                   version ".tar.gz"))
               (sha256
                (base32
@@ -68,7 +68,7 @@
        (modify-phases %standard-phases
          (delete 'configure))))         ; no configure script
     (synopsis "Command line video editing utilities")
-    (home-page "http://tools.suckless.org/blind/")
+    (home-page "https://tools.suckless.org/blind/")
     (description
      "Blind is a collection of command line video editing utilities.  It uses
 a custom raw video format with a simple container.")
@@ -80,7 +80,7 @@ a custom raw video format with a simple container.")
     (version "6.1")
     (source (origin
              (method url-fetch)
-             (uri (string-append "http://dl.suckless.org/dwm/dwm-"
+             (uri (string-append "https://dl.suckless.org/dwm/dwm-"
                                  version ".tar.gz"))
              (sha256
               (base32 "1zkmwb6df6m254shx06ly90c0q4jl70skk1pvkixpb7hcxhwbxn2"))))
@@ -126,7 +126,7 @@ a custom raw video format with a simple container.")
        ("libx11" ,libx11)
        ("libxft" ,libxft)
        ("libxinerama" ,libxinerama)))
-    (home-page "http://dwm.suckless.org/")
+    (home-page "https://dwm.suckless.org/")
     (synopsis "Dynamic window manager")
     (description
      "dwm is a dynamic window manager for X.  It manages windows in tiled,
@@ -140,7 +140,7 @@ optimising the environment for the application in use and the task performed.")
     (version "4.7")
     (source (origin
               (method url-fetch)
-              (uri (string-append "http://dl.suckless.org/tools/dmenu-"
+              (uri (string-append "https://dl.suckless.org/tools/dmenu-"
                                   version ".tar.gz"))
               (sha256
                (base32
@@ -160,7 +160,7 @@ optimising the environment for the application in use and the task performed.")
        ("libxft" ,libxft)
        ("libx11" ,libx11)
        ("libxinerama" ,libxinerama)))
-    (home-page "http://tools.suckless.org/dmenu/")
+    (home-page "https://tools.suckless.org/dmenu/")
     (synopsis "Dynamic menu")
     (description
      "A dynamic menu for X, originally designed for dwm.  It manages large
@@ -201,7 +201,7 @@ numbers of user-defined menu items efficiently.")
     (version "1.4")
     (source (origin
               (method url-fetch)
-              (uri (string-append "http://dl.suckless.org/tools/slock-"
+              (uri (string-append "https://dl.suckless.org/tools/slock-"
                                   version ".tar.gz"))
               (sha256
                (base32
@@ -217,7 +217,7 @@ numbers of user-defined menu items efficiently.")
        ("libxext" ,libxext)
        ("libxinerama" ,libxinerama)
        ("libxrandr" ,libxrandr)))
-    (home-page "http://tools.suckless.org/slock/")
+    (home-page "https://tools.suckless.org/slock/")
     (synopsis "Simple X session lock")
     (description
      "Simple X session lock with trivial feedback on password entry.")
@@ -230,7 +230,7 @@ numbers of user-defined menu items efficiently.")
     (source
      (origin
        (method url-fetch)
-       (uri (string-append "http://dl.suckless.org/st/st-"
+       (uri (string-append "https://dl.suckless.org/st/st-"
                            version ".tar.gz"))
        (sha256
         (base32
@@ -254,7 +254,7 @@ numbers of user-defined menu items efficiently.")
        ("fontconfig" ,fontconfig)
        ("freetype" ,freetype)))
     (native-inputs `(("pkg-config" ,pkg-config)))
-    (home-page "http://st.suckless.org/")
+    (home-page "https://st.suckless.org/")
     (synopsis "Simple terminal emulator")
     (description
      "St implements a simple and lightweight terminal emulator.  It
@@ -270,7 +270,7 @@ drawing.")
     (source
      (origin
        (method url-fetch)
-       (uri (string-append "http://dl.suckless.org/surf/surf-"
+       (uri (string-append "https://dl.suckless.org/surf/surf-"
                            version ".tar.gz"))
        (sha256
         (base32
@@ -298,7 +298,7 @@ drawing.")
        ("xprop" ,xprop)))
     (native-inputs
      `(("pkg-config" ,pkg-config)))
-    (home-page "http://surf.suckless.org/")
+    (home-page "https://surf.suckless.org/")
     (synopsis "Simple web browser")
     (description
      "Surf is a simple web browser based on WebKit/GTK+.  It is able to
@@ -313,7 +313,7 @@ point surf to another URI by setting its XProperties.")
     (version "0.2")
     (source (origin
               (method url-fetch)
-              (uri (string-append "http://dl.suckless.org/tools/sent-"
+              (uri (string-append "https://dl.suckless.org/tools/sent-"
                                   version ".tar.gz"))
               (sha256
                (base32
@@ -345,7 +345,7 @@ presentations.  Each paragraph represents a slide in the presentation.
 Especially for presentations using the Takahashi method this is very nice and
 allows you to write down the presentation for a quick lightning talk within a
 few minutes.")
-    (home-page "http://tools.suckless.org/sent")
+    (home-page "https://tools.suckless.org/sent")
     (license license:x11)))
 
 (define-public xbattmon
-- 
2.15.1